API Reference

Detailed documentation for integrating with the TribeOps REST API endpoints.

Authentication

TribeOps endpoints are protected by token authorization. Generate tokens in Settings, and include the key in your request headers:

Authorization: Bearer [your_api_token]
Accept: application/json

Endpoints

1. List Import Jobs

Get a list of all CSV and Sheets import history records.

GET /api/imports

2. Trigger Import Job

Start a new asynchronous import job using a CSV hosted URL.

POST /api/imports/trigger
{
  "source_type": "csv",
  "import_entity": "listing",
  "file_url": "https://example.com/listings-data.csv"
}

3. Update Listing Attribute

Queue or immediately update a single attribute on a Sharetribe listing.

POST /api/listings/update
{
  "listing_id": "sharetribe-listing-uuid",
  "field": "price",
  "value": 2499.00,
  "data_type": "number"
}